### Method

# Ide VcsUri get_clone_name

#### Declaration

    gchar*
    ide_vcs_uri_get_clone_name (
      const IdeVcsUri* self
    )

#### Description

Determines a suggested name for the checkout directory. Some special handling of suffixes such as “.git” are performed to improve the the quality of results.

Available since: | 3.32

#### Return value

Returns: | `gchar*`
| A string containing the suggested clone directory name, or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.